<div>
  <h2 id="page-heading" data-cy="OrangHeading">
    <span>Orangs</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="load()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span>Refresh list</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-orang"
        [routerLink]="['/orang/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span>Create a new Orang</span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  @if (orangs?.length === 0) {
    <div class="alert alert-warning" id="no-result">
      <span>No Orangs found</span>
    </div>
  }

  @if (orangs && orangs.length > 0) {
    <div class="table-responsive table-entities" id="entities">
      <table class="table table-striped" aria-describedby="page-heading">
        <thead>
          <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="navigateToWithComponentValues()">
            <th scope="col" jhiSortBy="id">
              <div class="d-flex">
                <span>ID</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="penggunaan">
              <div class="d-flex">
                <span>Penggunaan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="nama">
              <div class="d-flex">
                <span>Nama</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jenisKelamin">
              <div class="d-flex">
                <span>Jenis Kelamin</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="statusKawin">
              <div class="d-flex">
                <span>Status Kawin</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kelahiran">
              <div class="d-flex">
                <span>Kelahiran</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="tglLahir">
              <div class="d-flex">
                <span>Tgl Lahir</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="pekerjaan">
              <div class="d-flex">
                <span>Pekerjaan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="wargaNegara">
              <div class="d-flex">
                <span>Warga Negara</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="jenisId">
              <div class="d-flex">
                <span>Jenis Id</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noId">
              <div class="d-flex">
                <span>No Id</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="alamat">
              <div class="d-flex">
                <span>Alamat</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="rt">
              <div class="d-flex">
                <span>Rt</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="rw">
              <div class="d-flex">
                <span>Rw</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kelurahan">
              <div class="d-flex">
                <span>Kelurahan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kecamatan">
              <div class="d-flex">
                <span>Kecamatan</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kota">
              <div class="d-flex">
                <span>Kota</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="provinsi">
              <div class="d-flex">
                <span>Provinsi</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="kodePos">
              <div class="d-flex">
                <span>Kode Pos</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col" jhiSortBy="noKontak">
              <div class="d-flex">
                <span>No Kontak</span>

                <fa-icon class="p-1" icon="sort"></fa-icon>
              </div>
            </th>
            <th scope="col"></th>
          </tr>
        </thead>
        <tbody>
          @for (orang of orangs; track trackId) {
            <tr data-cy="entityTable">
              <td>
                <a [routerLink]="['/orang', orang.id, 'view']">{{ orang.id }}</a>
              </td>
              <td>{{ orang.penggunaan }}</td>
              <td>{{ orang.nama }}</td>
              <td>{{ orang.jenisKelamin }}</td>
              <td>{{ orang.statusKawin }}</td>
              <td>{{ orang.kelahiran }}</td>
              <td>{{ orang.tglLahir | formatMediumDate }}</td>
              <td>{{ orang.pekerjaan }}</td>
              <td>{{ orang.wargaNegara }}</td>
              <td>{{ orang.jenisId }}</td>
              <td>{{ orang.noId }}</td>
              <td>{{ orang.alamat }}</td>
              <td>{{ orang.rt }}</td>
              <td>{{ orang.rw }}</td>
              <td>{{ orang.kelurahan }}</td>
              <td>{{ orang.kecamatan }}</td>
              <td>{{ orang.kota }}</td>
              <td>{{ orang.provinsi }}</td>
              <td>{{ orang.kodePos }}</td>
              <td>{{ orang.noKontak }}</td>
              <td class="text-end">
                <div class="btn-group">
                  <a [routerLink]="['/orang', orang.id, 'view']" class="btn btn-info btn-sm" data-cy="entityDetailsButton">
                    <fa-icon icon="eye"></fa-icon>
                    <span class="d-none d-md-inline">View</span>
                  </a>

                  <a [routerLink]="['/orang', orang.id, 'edit']" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                    <fa-icon icon="pencil-alt"></fa-icon>
                    <span class="d-none d-md-inline">Edit</span>
                  </a>

                  <button type="submit" (click)="delete(orang)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                    <fa-icon icon="times"></fa-icon>
                    <span class="d-none d-md-inline">Delete</span>
                  </button>
                </div>
              </td>
            </tr>
          }
        </tbody>
      </table>
    </div>
  }
  @if (orangs && orangs.length > 0) {
    <div>
      <div class="d-flex justify-content-center">
        <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
      </div>

      <div class="d-flex justify-content-center">
        <ngb-pagination
          [collectionSize]="totalItems"
          [page]="page"
          [pageSize]="itemsPerPage"
          [maxSize]="5"
          [rotate]="true"
          [boundaryLinks]="true"
          (pageChange)="navigateToPage($event)"
        ></ngb-pagination>
      </div>
    </div>
  }
</div>
